man(1)

IME
man - oblikovanje in prikaz strani on-line priročnika
manpath - prikaz poti do imenikov, kjer man išče priročnike

SINTAKSA
man [-adfhkKtwW] [-m sistem] [-p niz] [-C nastavitvena_datoteka] [-M pot] [-P paginator] [-S seznam_poglavij] [poglavje] ime ...

OPIS
man oblikuje in prikaže strani on-line priročnika. Ta izvedba pozna spremenljivki MANPATH in (MAN)PAGER, tako da si lahko pripravite lasten nabor osebnih strani priročnika in izberete vaš najljubši program za prikaz oblikovanih strani. Če je določeno poglavje, man išče samo v tem poglavju priročnika. Iz ukazne vrstice ali prek spremenljivk okolja lahko določite tudi vrsti red poglavij, ki jih man preišče, ter katere predprocesorje se pred prikazom uporabijo na izvornem besedilu. Če ime vsebuje znak /, se najprej preveri, če obstaja datoteka s tem imenom. Ukaz man ./foo.5 ali celo man /cd/foo/bar.1.gz. sta zato povsem veljavna.

IZBIRE

-C  nastavitvena_datoteka
    Določimo nastavitveno datoteko man.conf, ki jo želimo uporabljati; privzeta izbira je /etc/man.config. (glejte man.conf(5).)

-M  pot
    Določimo seznam imenikov, v katerih se išče za stranmi priročnika. Če izbira ni podana, se uporabi spremenljivka okolja MANPATH Če tudi spremenljivke s tem imenom ni, se uporabi privzeta izbira iz nastavitvene datoteke /etc/man.config. Prazen niz v MANPATH implicira privzet seznam imenikov.

-P  paginator
    Določimo paginator. Ta izbira ima prednost pred spremenljivko okolja MANPAGER, ki ima nadalje prednost pred spremenljivko okolja PAGER. Privzeta izbira za paginator je /bin/less-isr.

-S  seznam_poglavij
    Seznam_poglavij je z dvopičji ločen seznam poglavij priročnika, v katerem se išče geslo. Ta izbira ima prednost pred spremenljivko okolja MANSECT.

-a  Sam po sebi man prikaže prvo stran, ki ustreza imenu name. S to izbiro zahtevamo, da prikaže vse strani, ki ustrezajo pogoju, ne le prve.

-c  Izrecno zahtevamo ponovno oblikovanje strani, četudi že oblikovana stran obstaja. Izbira je lahko smiselna, če je bila stran oblikovana za drugačno širino zaslona.

-d  Ne prikaži oblikovane strani, ampak le "debugging" informacije.

-D  Prikaži tako oblikovano stran kot tudi "debugging" informacije.

-f  Isto kot whatis.

-h  Izpiši eno vrstico navodila in končaj.

-k  Isto kot apropos.

-K  Preišči *vse* strani priročnika za dani niz. Pozor: to zelo verjetno vzame kar nekaj časa! Hitreje gre, če iskanje omejimo na poglavje. (Kot grob primer: na avtorjevem računalniku traja iskanje prek 500 strani priročnika približno minuto.)

-m  sistem
    Določimo alternativni nabor strani priročnika na podanem sistemu.

-p  niz
    Določimo zaporedje predprocesorjev, ki se poženejo pred nroff ali troff. Nekateri od predprocesorjev, in njihove enočrkovne okrajšave: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Ni nujno, da so na vašem sistemu vsi našteti predprocesorji na voljo. Ta izbira ima prednost pred spremenljivko okolja MANROFFSEQ.

-t  Uporabi /build/jenkins/v2016.12/machine/intel-corei7-64/build/tmp-angstrom-glibc/sysroots/x86_64-linux/usr/bin/groff -Tps -mandoc -c za oblikovanje strani priročnika in usmeri izhod na standardni izhod stdout. Lahko, da je izhod iz /build/jenkins/v2016.12/machine/intel-corei7-64/build/tmp-angstrom-glibc/sysroots/x86_64-linux/usr/bin/groff -Tps -mandoc -c pred tiskom potrebno obdelati s še kakšnim filtrom.

-w ali --path
    Ne prikaži oblikovanih strani priročnika, ampak pot do datotek, ki bi bile oblikovane in prikazane. Če je izbira brez argumenta, prikaži pot do imenikov, v katerih man išče strani priročnika. Če je manpath povezava na man, tedaj je "manpath" enakovredno "man --path".

-W  Kot -w, le da prikaže po eno ime datoteke v vrstici in brez dodatnih informacij. To je lahko uporabno v ukazih ukazne lupine, kot npr. man -aW man | xargs ls -l

OBLIKOVANE STRANI
Man poskusi shraniti oblikovane strani in tako prihraniti čas, potreben za oblikovanje, ko se stran naslednjič rabi. Tradicionalno se oblikovane strani iz imenikov DIR/manX shranjujejo v imenike DIR/catX, drugačen dogovor glede preslikave med izvornimi in oblikovanimi različicami pa je možno določiti v /etc/man.config. Oblikovane strani se ne shranijo, če ustrezni imenik ne obstaja.

Program man je možno pripisati (SUID) uporabniku z imenom man.  V
    tem primeru, kadar je imenik z oblikovanimi stranmi v lasti man, način zaščite pa 0755 (dovoljeno pisanje samo lastniku -- man), oblikovane datoteke pa so zaščitene z 0644 ali 0444 (dovoljeno pisanje samo lastniku, ali pa sploh prepovedano pisanje), nihče od uporabnikov ne more ne more spreminjati oblikovanih strani ali puščati svojih datotek v imeniku z oblikovanimi stranmi. Če man ni v lasti (SUID) uporabnika man, mora biti imenik z oblikovanimi stranmi dovoljen za pisanje (0777), če naj bo tam vsem uporabnikom dovoljeno puščati oblikovane strani.

Izbira -c zahteva ponovno oblikovanje strani, četudi recentna
    oblikovana stran že obstaja.

SPREMENLJIVKE OKOLJA

MANPATH
    Če nastavimo spremenljivko MANPATH, se njena vrednost uporabi za pot do strani priročnika.

MANROFFSEQ
    Če nastavimo spremenljivko MANROFFSEQ, z njeno vrednostjo določimo zaporedje predprocesorjev, ki obdelajo stran pred nroff ali troff. Privzeta izbira je tabelarni predprocesor tbl.

MANSECT
    Če nastavimo spremenljivko MANSECT, njena vrednost določa poglavja v priročniku, v katerih man išče zahtevano stran.

MANWIDTH
    Če nastavimo spremenljivko MANWIDTH, njena vrednost določa širino zaslona, za katero se oblikujejo strani priročnika. Privzeta izbira je cela širina zaslona.

MANPAGER
    Če nastavimo spremenljivko MANPAGER, njena vrednost določa paginator -- program, ki prikaže oblikovano stran. Če spremenljivka ni nastavljena, se uporabi vrednost spremenljivke PAGER. Če tudi ta ni nastavljena, se uporabi privzeta izbira /bin/less -isr.

LANG
    Če nastavimo spremenljivko LANG, njena vrednost določa podimenik, v katerem man najprej poskusi poiskati stran priročnika. Na primer, pri ukazu ,,LANG=dk man 1 foo'' man najprej poskusi poiskati ustrezno stran priročnika v datoteki .../dk/man1/foo.1, če ta ne obstaja, pa v .../man1/foo.1. Pri tem je ... eden od imenikov, v katerih man išče strani.

NLSPATH, LC_MESSAGES, LANG
    Spremenljivki NLSPATH in LC_MESSAGES (ali LANG če LC_MESSAGES ne obstaja) določajo katalog s sporočili programa. (Angleška sporočila so izjema, ker so že vključena v program, tako da zanje ne potrebujemo posebnega kataloga.) Programi kot npr. col(1), ki ga kliče man, prav tako uporabljajo lokalizacijske spremenljivke (npr. LC_CTYPE).

PATH
    PATH se uporablja za sestavljanje privzete poti, v katerih man išče strani priročnika.

SYSTEM
    SYSTEM se uporablja za določitev imena alternativnega sistema (z izbiro -m).

GLEJTE TUDI
apropos(1), whatis(1), less(1), groff(1).

NAPAKE
The -t deluje samo, kadar je na voljo troff ali drug enakovreden program.
Če namesto pomišljajev vidite utripajoče \255 or <AD>, dodajte med spremenljivke okolja `LESSCHARSET=latin1'.